#ifndef BLOCK_PLACER_HPP_
#define BLOCK_PLACER_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MBlockPlacer/MBlockPlacer.hpp>

class BlockPlacer : public SpriteBlock, public MachineBlockMixin<MBlockPlacer>
{
private:
    static std::vector<Sprite> makeSprites();

public:
    BlockPlacer(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
};

#endif